Comment 11 for bug 1558079

I also received the error message, but with 3.19.0-58-generic. I'm unable to revert back to 3.19.0-51 because some of drivers don't work with it anymore.
 Required kernel crypto interface not available.
 Ensure you have algif_skcipher kernel module loaded.

Let me know if there are are logs I can provide.